## The *write-joke.ps1* Script

This PowerShell script writes a random Juck Norris joke to the console.

## Parameters
```powershell
/home/mf/Repos/PowerShell/Scripts/write-joke.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./write-joke
When Chuck Norris does division, there are no remainders. 😂

```

## Notes
Author: Markus Fleschutz | License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

## Source Code
```powershell
<#
.SYNOPSIS
	Writes a random Juck Norris joke to the console
.DESCRIPTION
	This PowerShell script writes a random Juck Norris joke to the console.
.EXAMPLE
	PS> ./write-joke
	When Chuck Norris does division, there are no remainders. 😂
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	$Table = import-csv "$PSScriptRoot/../Data/jokes.csv"

	$Generator = New-Object System.Random
	$Index = [int]$Generator.next(0, $Table.Count - 1)
	$Joke = $Table[$Index].Joke

	"$Joke 😂"
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*Generated by convert-ps2md.ps1 using the comment-based help of write-joke.ps1*
